4Suite™ API Documentation

# ► Module Ft.Server.Server.Drivers.ACLManager

Classes: ACLManager |  |  |  | Fields: FTSERVER_NAMESPACE, RESERVED_NAMESPACE, UPDATE_ACL

## Classes

class ACLManager

### Methods

defaultAcl(self, user, owner)
getAcl(self, path, access=None)
getAclIdent(self)
getAclIdentifiers(self)
setAcl(self, path, acl)
verifyAcl(self, path, access, verifyTraverse)

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
RESERVED_NAMESPACE = 'http://xmlns.4suite.org/reserved'
UPDATE_ACL = '<xupdate:modifications\n version="1.0"\n xmlns:x...ta">%s</xupdate:append>\n</xupdate:modifications>\n'